import schedule_default, { get } from "./schedule.js";
import { Transition, newId } from "./index.js";
function transition_default() {
	for (var i = this._name, a = this._id, o = newId(), s = this._groups, c = s.length, l = 0; l < c; ++l) for (var u = s[l], d = u.length, f, p = 0; p < d; ++p) if (f = u[p]) {
		var m = get(f, a);
		schedule_default(f, i, o, p, u, {
			time: m.time + m.delay + m.duration,
			delay: 0,
			duration: m.duration,
			ease: m.ease
		});
	}
	return new Transition(s, this._parents, i, o);
}
export { transition_default as default };
